---
title: PictureInPictureEvent()
slug: Web/API/PictureInPictureEvent/PictureInPictureEvent
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <code><strong>PictureInPictureEvent()</strong></code> constructor returns a newly created {{domxref("PictureInPictureEvent")}} object with an optional {{domxref("EventTarget")}}. When the event has both a source and a destination, the <code>relatedTarget</code> value must be set to the other target.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>pictureInPictureEvent</em> = new <em>PictureInPictureEvent</em>(<em>typeArg</em>[, <em>pictureInPictureInit</em>]);
</pre>

<h3 id="Properties">Properties</h3>

<p><em>The <code>PictureInPictureEvent()</code></em><em> constructor also inherits arguments from {{domxref("Event.Event", "Event()")}}.</em></p>

<dl>
 <dt><code>typeArg</code></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the event.</dd>
 <dt><code>focusEventInit</code> {{optional_inline}}</dt>
 <dd>Is a <code>PictureInPictureEventInit</code> dictionary, having the following fields:
 <ul>
  <li><code>"relatedTarget"</code>, optional and defaulting to <code>null</code>, is an {{domxref("EventTarget")}}.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Picture-in-Picture', '#dom-pictureinpictureevent-pictureinpictureevent', 'PictureInPictureEvent()')}}</td>
   <td>{{Spec2('Picture-in-Picture')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PictureInPictureEvent.PictureInPictureEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("PictureInPictureEvent")}} interface it belongs to.</li>
</ul>
